## r-cran-rnetcdf 1.6.2-3

=== debian/changelog ===
r-cran-rnetcdf (1.6.2-3-1) unstable; urgency=low

  [ Debian Science Maintainers ]
  *  New upstream release.

  [ Filippo Rusconi ]
  * copyright: include full text of the NCSA HDF5 license.
  * Upload (lopippo@debian.org).
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 23 Jun 2014 13:15:30 +0200

r-cran-rnetcdf (1.6.2-2-1) unstable; urgency=low

  * New upstream release.

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Tue, 27 May 2014 11:02:06 +0200

r-cran-rnetcdf (1.6.1-2-1) unstable; urgency=low

  * Initial release. (Closes: #737533);
  * Uploaded by Filippo Rusconi <lopippo@debian.org>.

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Mon, 10 Feb 2014 15:16:45 +0100

## r-cran-rnetcdf 1.6.3

=== DESCRIPTION ===
Package: RNetCDF
Version: 1.6.3-1
Date: 2014-05-26
Title: R Interface to NetCDF Datasets
Author: Pavel Michna
Maintainer: Pavel Michna <michna@giub.unibe.ch>
Depends: R (>= 2.4.0)
SystemRequirements: netcdf (>= 3.6.0), udunits (>= 1.11.7) or udunits2
        (>= 2.1.22)
Description: This package provides an interface to Unidata's NetCDF
        library functions (version 3) and furthermore access to
        Unidata's UDUNITS calendar conversions. The routines and the
        documentation follow the NetCDF and UDUNITS C interface, so the
        corresponding manuals can be consulted for more detailed
        information.
License: GPL (>= 2)
URL: http://www.unidata.ucar.edu/packages/netcdf/
        http://www.unidata.ucar.edu/packages/udunits/
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-08-31 19:42:13
Packaged: 2014-08-31 17:41:33 UTC; ripley

## r-cran-rnetcdf 1.6.3-1

=== debian/changelog ===
r-cran-rnetcdf (1.6.3-1-1build2) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:08:48 +0000

r-cran-rnetcdf (1.6.3-1-1build1) wily; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Sep 2015 15:50:09 +0000

r-cran-rnetcdf (1.6.3-1-1) unstable; urgency=low

  [ Debian Science Maintainers ]
  * New upstream release.
  * Move debian/upstream to debian/upstream/metadata.
  * debian/copyright:
    - Swap first (Files: man/*) and second (Files: *) entry to
      avoid the unused-file-paragraph-in-dep5-copyright lintian warning.
    - Change license name from "NetCDF (MIT like)" to "NetCDF" and "NCSA HDF5"
      to "NCSA-HDF5" to avoid the space-in-std-shortname-in-dep5-copyright
      lintian warning.

  [ Filippo Rusconi ] <lopippo@debian.org>
  * Upload
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Oct 2014 09:23:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rnetcdf package
# Copyright 2014 by Sebastian Gibb <sgibb.debian@gmail.com>

DEB_DH_ALWAYS_EXCLUDE := LICENSE
DEB_DH_MD5SUMS_ARGS := --exclude=LICENSE
DEB_INSTALL_DOCS_ALL :=

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RNetCDF_([\d\.-]*).tar.gz

## r-cran-rnetcdf 1.8-2

=== debian/changelog ===
r-cran-rnetcdf (1.8-2-1) unstable; urgency=low

  * Team upload

  [ Sebastian Gibb ]
  * New upstream release.
  * debian/control:
    - set Standards-Version: 3.9.8.
    - use https:// in Vcs-Git and Vcs-Browser.
    - use secure canonical URL in Homepage.
    - set minimal r-base-dev version to 2.5.0.
  * debian/copyright: remove entry for inst/HDF5_COPYING because this file
    was removed upstream.
  * debian/patches: removed hardening patches.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Convert to dh-r
  * debhelper 10
  * d/watch: version=4
  * update d/copyright
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2016 19:20:05 +0100

=== debian/control ===
Source: r-cran-rnetcdf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               libnetcdf-dev,
               libudunits2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rnetcdf.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rnetcdf.git
Homepage: https://cran.r-project.org/package=RNetCDF

Package: r-cran-rnetcdf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package that provides an R interface to NetCDF datasets
 This package provides an R interface to Unidata's NetCDF library
 functions. NetCDF (network Common Data Form) is a set of interfaces
 for array-oriented data access. In addition to the interface to the
 NetCDF library functions, R interfaces are provided to access
 Unidata's UDUNITS calendar conversions.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/RNetCDF_([\d\.-]*).tar.gz

## r-cran-rnetcdf 1.9

=== DESCRIPTION ===
Package: RNetCDF
Version: 1.9-1
Date: 2017-10-04
Title: Interface to NetCDF Datasets
Author: Pavel Michna, with contributions from Milton Woods
Maintainer: Milton Woods <mwoods@users.r-forge.r-project.org>
Depends: R (>= 2.5.0)
SystemRequirements: netcdf udunits-2
Description: An interface to the NetCDF file format designed by Unidata
  for efficient storage of array-oriented scientific data and descriptions.
  The R interface is closely based on the C API of the NetCDF library,
  and it includes calendar conversions from the Unidata UDUNITS library.
  The current implementation supports all operations on NetCDF datasets
  in classic and 64-bit offset file formats, and NetCDF4-classic format
  is supported for reading and modification of existing files.
License: GPL (>= 2) | file LICENSE
URL: http://rnetcdf.r-forge.r-project.org
        http://www.unidata.ucar.edu/software/netcdf/
        http://www.unidata.ucar.edu/software/udunits/
NeedsCompilation: yes
Repository: CRAN
Repository/R-Forge/Project: rnetcdf
Repository/R-Forge/Revision: 234
Repository/R-Forge/DateTimeStamp: 2017-10-06 22:45:42
Date/Publication: 2017-10-08 22:16:10 UTC
Packaged: 2017-10-06 23:05:26 UTC; rforge

## r-cran-rnetcdf 1.9-1

=== debian/changelog ===
r-cran-rnetcdf (1.9-1-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 16:39:46 +0200

r-cran-rnetcdf (1.9-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 16:47:39 +0200

=== debian/control ===
Source: r-cran-rnetcdf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               libnetcdf-dev,
               libudunits2-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
Homepage: https://cran.r-project.org/package=RNetCDF

Package: r-cran-rnetcdf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package that provides an R interface to NetCDF datasets
 This package provides an R interface to Unidata's NetCDF library
 functions. NetCDF (network Common Data Form) is a set of interfaces
 for array-oriented data access. In addition to the interface to the
 NetCDF library functions, R interfaces are provided to access
 Unidata's UDUNITS calendar conversions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rnetcdf package
# Copyright 2014 by Sebastian Gibb <sgibb.debian@gmail.com>

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

## r-cran-rnetcdf 2.1-1

=== debian/changelog ===
r-cran-rnetcdf (2.1-1-1build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:02:18 +0100

r-cran-rnetcdf (2.1-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 14:18:25 +0100

r-cran-rnetcdf (2.0-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Fri, 11 Oct 2019 11:02:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                libnetcdf-dev,
                libudunits2-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
 Homepage: https://cran.r-project.org/package=RNetCDF

## r-cran-rnetcdf 2.3-1

=== debian/changelog ===
r-cran-rnetcdf (2.3-1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:30:54 +0000

r-cran-rnetcdf (2.3-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 May 2020 10:41:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                libnetcdf-dev,
                libudunits2-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
 Homepage: https://cran.r-project.org/package=RNetCDF
+Rules-Requires-Root: no
 
 Package: r-cran-rnetcdf
 Architecture: any

## r-cran-rnetcdf 2.4

=== DESCRIPTION ===
Package: RNetCDF
Version: 2.4-2
Date: 2020-09-12
Title: Interface to 'NetCDF' Datasets
Authors@R: c(person("Pavel", "Michna", role = "aut",
                    email = "rnetcdf-devel@bluewin.ch"),
             person("Milton", "Woods", role = c("aut", "cre"),
                    email = "miltonjwoods@gmail.com"))
Depends: R (>= 3.0.0)
SystemRequirements: netcdf udunits-2
Suggests: bit64
Description: An interface to the 'NetCDF' file formats designed by Unidata
  for efficient storage of array-oriented scientific data and descriptions.
  Most capabilities of 'NetCDF' version 4 are supported. Optional conversions
  of time units are enabled by 'UDUNITS' version 2, also from Unidata.
License: GPL (>= 2) | file LICENSE
URL: https://github.com/mjwoods/RNetCDF
        https://www.unidata.ucar.edu/software/netcdf/
        https://www.unidata.ucar.edu/software/udunits/
BugReports: https://github.com/mjwoods/RNetCDF/issues
NeedsCompilation: yes
Packaged: 2020-09-12 01:56:30 UTC; mwoods
Author: Pavel Michna [aut],
  Milton Woods [aut, cre]
Maintainer: Milton Woods <miltonjwoods@gmail.com>
Repository: CRAN
Date/Publication: 2020-09-12 05:51:05 UTC

## r-cran-rnetcdf 2.4-2

=== debian/changelog ===
r-cran-rnetcdf (2.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Remove broken lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 08:55:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libnetcdf-dev,

## r-cran-rnetcdf 2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RNetCDF
-Version: 2.4-2
-Date: 2020-09-12
+Version: 2.5-2
+Date: 2021-08-20
 Title: Interface to 'NetCDF' Datasets
 Authors@R: c(person("Pavel", "Michna", role = "aut",
                     email = "rnetcdf-devel@bluewin.ch"),
@@ -9,6 +9,7 @@
 Depends: R (>= 3.0.0)
 SystemRequirements: netcdf udunits-2
 Suggests: bit64
+Enhances: pbdMPI
 Description: An interface to the 'NetCDF' file formats designed by Unidata
   for efficient storage of array-oriented scientific data and descriptions.
   Most capabilities of 'NetCDF' version 4 are supported. Optional conversions
@@ -19,9 +20,9 @@
         https://www.unidata.ucar.edu/software/udunits/
 BugReports: https://github.com/mjwoods/RNetCDF/issues
 NeedsCompilation: yes
-Packaged: 2020-09-12 01:56:30 UTC; mwoods
+Packaged: 2021-08-20 08:07:16 UTC; mwoods
 Author: Pavel Michna [aut],
   Milton Woods [aut, cre]
 Maintainer: Milton Woods <miltonjwoods@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-12 05:51:05 UTC
+Date/Publication: 2021-08-20 09:00:02 UTC

## r-cran-rnetcdf 2.5-2

=== debian/changelog ===
r-cran-rnetcdf (2.5-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 22:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                libnetcdf-dev,
                libudunits2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
 Homepage: https://cran.r-project.org/package=RNetCDF

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-bit64
Restrictions: allow-stderr

## r-cran-rnetcdf 2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RNetCDF
-Version: 2.5-2
-Date: 2021-08-20
+Version: 2.6-2
+Date: 2023-01-16
 Title: Interface to 'NetCDF' Datasets
 Authors@R: c(person("Pavel", "Michna", role = "aut",
                     email = "rnetcdf-devel@bluewin.ch"),
@@ -20,9 +20,9 @@
         https://www.unidata.ucar.edu/software/udunits/
 BugReports: https://github.com/mjwoods/RNetCDF/issues
 NeedsCompilation: yes
-Packaged: 2021-08-20 08:07:16 UTC; mwoods
+Packaged: 2023-01-17 03:05:48 UTC; mwoods
 Author: Pavel Michna [aut],
   Milton Woods [aut, cre]
 Maintainer: Milton Woods <miltonjwoods@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-08-20 09:00:02 UTC
+Date/Publication: 2023-01-17 04:40:06 UTC

## r-cran-rnetcdf 2.6-1

=== debian/changelog ===
r-cran-rnetcdf (2.6-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 08:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-rnetcdf
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
+Homepage: https://cran.r-project.org/package=RNetCDF
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libnetcdf-dev,
                libudunits2-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
-Homepage: https://cran.r-project.org/package=RNetCDF
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rnetcdf
 Architecture: any

## r-cran-rnetcdf 2.6-2

=== debian/changelog ===
r-cran-rnetcdf (2.6-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
 Homepage: https://cran.r-project.org/package=RNetCDF
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 override_dh_install:
 	dh_install
 	find debian -name LICENSE -delete
-

## r-cran-rnetcdf 2.9

=== DESCRIPTION ===
Package: RNetCDF
Version: 2.9-1
Date: 2023-12-30
Title: Interface to 'NetCDF' Datasets
Authors@R: c(person("Pavel", "Michna", role = "aut",
                    email = "rnetcdf-devel@bluewin.ch"),
             person("Milton", "Woods", role = c("aut", "cre"),
                    email = "miltonjwoods@gmail.com"))
Depends: R (>= 3.0.0)
SystemRequirements: netcdf (>=4.1.3), udunits-2 (>=2.0.4)
Suggests: bit64, tools
Enhances: pbdMPI, Rmpi
Description: An interface to the 'NetCDF' file formats designed by Unidata
  for efficient storage of array-oriented scientific data and descriptions.
  Most capabilities of 'NetCDF' version 4 are supported. Optional conversions
  of time units are enabled by 'UDUNITS' version 2, also from Unidata.
License: GPL (>= 2) | file LICENSE
URL: https://github.com/mjwoods/RNetCDF
        https://www.unidata.ucar.edu/software/netcdf/
        https://www.unidata.ucar.edu/software/udunits/
BugReports: https://github.com/mjwoods/RNetCDF/issues
NeedsCompilation: yes
Packaged: 2023-12-30 02:02:20 UTC; mwoods
Author: Pavel Michna [aut],
  Milton Woods [aut, cre]
Maintainer: Milton Woods <miltonjwoods@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-09 10:30:08 UTC

=== src/Makefile ===
## Makefile for RNetCDF.
# Although Makevars is the recommended way to compile R packages,
# it forces use of the C compiler (CC) defined during R installation.
# This Makefile allows users to specify an MPI compiler wrapper which:
# - sets include and library paths;
# - links MPI libraries, whose names may vary with compiler flags and vendors;
# - is the most common and reliable method to build software with MPI.
# Updates to the Makefile may be required if the R build system changes.

# Default for non-Windows:
WINDOWS = FALSE

all:
	WINDOWS="$(WINDOWS)" \
        MAKE="$(MAKE)" \
        R_HOME="$(R_HOME)" \
        R_ARCH="$(R_ARCH)" \
        $(SHELL) ../tools/make-recursive.sh

## r-cran-rnetcdf 2.9-1

=== debian/changelog ===
r-cran-rnetcdf (2.9-1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:38 +1100

r-cran-rnetcdf (2.9-1-1build1) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:52:11 +0100

r-cran-rnetcdf (2.9-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:41:32 +0100

r-cran-rnetcdf (2.8-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 14:10:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-rnetcdf
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git

## r-cran-rnetcdf 2.9-2

=== debian/changelog ===
r-cran-rnetcdf (2.9-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 14:02:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-rnetcdf
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
 Homepage: https://cran.r-project.org/package=RNetCDF
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RNetCDF_([\d\.-]*).tar.gz

## r-cran-rnetcdf 2.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RNetCDF
-Version: 2.9-1
-Date: 2023-12-30
+Version: 2.11-1
+Date: 2025-04-30
 Title: Interface to 'NetCDF' Datasets
 Authors@R: c(person("Pavel", "Michna", role = "aut",
                     email = "rnetcdf-devel@bluewin.ch"),
@@ -20,9 +20,9 @@
         https://www.unidata.ucar.edu/software/udunits/
 BugReports: https://github.com/mjwoods/RNetCDF/issues
 NeedsCompilation: yes
-Packaged: 2023-12-30 02:02:20 UTC; mwoods
+Packaged: 2025-04-29 12:04:54 UTC; mwoods
 Author: Pavel Michna [aut],
   Milton Woods [aut, cre]
 Maintainer: Milton Woods <miltonjwoods@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-01-09 10:30:08 UTC
+Date/Publication: 2025-04-30 05:30:02 UTC

## r-cran-rnetcdf 2.11-1

=== debian/changelog ===
r-cran-rnetcdf (2.11-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 11:17:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-rnetcdf
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
-Homepage: https://cran.r-project.org/package=RNetCDF
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libnetcdf-dev,
-               libudunits2-dev
-Testsuite: autopkgtest-pkg-r
+               libudunits2-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnetcdf.git
+Homepage: https://cran.r-project.org/package=RNetCDF
+Rules-Requires-Root: no
 
 Package: r-cran-rnetcdf
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
        r-cran-bit64
Restrictions: allow-stderr
